Skip to main content
GET
/
api
/
public
/
v1
/
hip4
/
trader
/
{address}
/
outcomes
Get API public v1 hip4 trader by address outcomes
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/hip4/trader/{address}/outcomes \
  --header 'X-API-Key: <api-key>'
{
  "address": "<string>",
  "count": 123,
  "outcomes": [
    {
      "fills": 123,
      "grossBoughtUsdh": 123,
      "grossSoldUsdh": 123,
      "netShares": 123,
      "outcomeId": 123,
      "realizedPnlUsdh": 123,
      "sideIndex": 123,
      "sideToken": "<string>",
      "firstTraded": "<string>",
      "lastTraded": "<string>"
    }
  ],
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

address
string
required

Query Parameters

days
integer<int64>
default:30

Look-back window in days (default 30, max 365)

Response

OK

address
string
required
count
integer<int64>
required
outcomes
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/TraderOutcomesBody.json"